commit:     c9f986e77c2daf126b4fa924da06f08b16fe63cf
Author:     Andrew Savchenko <bircoph <AT> gentoo <DOT> org>
AuthorDate: Sat May  9 12:44:52 2020 +0000
Commit:     Andrew Savchenko <bircoph <AT> gentoo <DOT> org>
CommitDate: Sat May  9 13:10:25 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c9f986e7

dev-python/pygame_sdl2: version bump

Bug: https://bugs.gentoo.org/671008
Package-Manager: Portage-2.3.82, Repoman-2.3.20
Signed-off-by: Andrew Savchenko <bircoph <AT> gentoo.org>

 dev-python/pygame_sdl2/Manifest                 |  1 +
 dev-python/pygame_sdl2/pygame_sdl2-7.3.5.ebuild | 40 +++++++++++++++++++++++++
 2 files changed, 41 insertions(+)

diff --git a/dev-python/pygame_sdl2/Manifest b/dev-python/pygame_sdl2/Manifest
index b908c255a15..4b8f875fd5c 100644
--- a/dev-python/pygame_sdl2/Manifest
+++ b/dev-python/pygame_sdl2/Manifest
@@ -1 +1,2 @@
 DIST pygame_sdl2-2.1.0-for-renpy-6.99.12.4.tar.gz 2294620 BLAKE2B 
14da5e955ca6b9f6a08be1a3ae929db63e358c53b7a05a16cda73d6e3625a7d522dd5dfc972be978f330f26bb30dc70f4657501cd5e5a6d44c1f6b81eebe3fa4
 SHA512 
eacce553d6729b937c13420d826f2fe327bc7aba499a06bea7f1ceedba3327a9456c023878290ace39e1a8e417f54957345b8b78500ffc9ed3d2ec9952397754
+DIST pygame_sdl2-2.1.0-for-renpy-7.3.5.tar.gz 2678274 BLAKE2B 
537e63a7e4755f6fea20f4ceec065272b83879958a0a794780b8976877aa083a2a9bc1b8b4a4592accaeb59dbeeac480d75965291ddbff324aea5c90d7dbcfc0
 SHA512 
b58a57d70efdfcea066735e3681047bec4fc89a9b75e423f5f889cd29f89a25bd0b96fcbca17578958b677e44858aafc9c6b17aad54dae640640bb7eb54cddbd

diff --git a/dev-python/pygame_sdl2/pygame_sdl2-7.3.5.ebuild 
b/dev-python/pygame_sdl2/pygame_sdl2-7.3.5.ebuild
new file mode 100644
index 00000000000..d774c961920
--- /dev/null
+++ b/dev-python/pygame_sdl2/pygame_sdl2-7.3.5.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python{2_7,3_6,3_7,3_8} )
+inherit distutils-r1
+
+PYSDL="${PN}-2.1.0"
+
+DESCRIPTION="Reimplementation of portions of the pygame API using SDL2"
+HOMEPAGE="https://github.com/renpy/pygame_sdl2";
+SRC_URI="http://www.renpy.org/dl/${PV}/${PYSDL}-for-renpy-${PV}.tar.gz";
+
+LICENSE="LGPL-2.1 ZLIB"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+BDEPEND="
+       dev-python/cython[${PYTHON_USEDEP}]"
+DEPEND="
+       dev-python/numpy[${PYTHON_USEDEP}]
+       media-libs/libpng:0=
+       media-libs/libsdl2:=[video]
+       media-libs/sdl2-image:=[png,jpeg]
+       >=media-libs/sdl2-mixer-2.0.2:=
+       media-libs/sdl2-ttf:=
+       virtual/jpeg:0"
+RDEPEND="${DEPEND}"
+
+S=${WORKDIR}/${PYSDL}-for-renpy-${PV}
+
+# PyGame distribution for this version has some pregenerated files;
+# we need to remove them
+python_prepare_all()
+{
+       rm -r gen{,3} || die
+       distutils-r1_python_prepare_all
+}

Reply via email to